autoload:

  symfony_core:
    name:           symfony core classes
    ext:            .class.php
    path:           %SF_SYMFONY_LIB_DIR%
    recursive:      on
    exclude:        [vendor]

  symfony_orm:
    name:           symfony orm classes
    files:
      Propel:       %SF_SYMFONY_LIB_DIR%/addon/propel/sfPropelAutoload.php
      Criteria:     %SF_SYMFONY_LIB_DIR%/vendor/propel/util/Criteria.php
      SQLException: %SF_SYMFONY_LIB_DIR%/vendor/creole/SQLException.php
      DatabaseMap:  %SF_SYMFONY_LIB_DIR%/vendor/propel/map/DatabaseMap.php

  symfony_plugins:
    name:           symfony plugins
    ext:            .class.php
    path:           %SF_PLUGIN_DIR%
    recursive:      on

  project:
    name:           project classes
    ext:            .class.php
    path:           %SF_LIB_DIR%
    recursive:      on
    exclude:        [model, plugins, symfony]

  model:
    name:           project model classes
    ext:            .php
    path:           %SF_MODEL_LIB_DIR%

  application:
    name:           application classes
    ext:            .class.php
    path:           %SF_APP_LIB_DIR%
